=== debian/changelog ===
wp-mirror-mediawiki (1.24.22-1) unstable; urgency=low

  * Update: checkout git branch wmf/1.24wmf22
  * Skins added: Vector

 -- WP-MIRROR <wpmirrordev@gmail.com>  Fri, 10 Oct 2014 19:30:00 -0400

wp-mirror-mediawiki (1.23.0-1) unstable; urgency=low

  * Update: checkout git branch REL1_23 (was branch wmf/1.23wmf14)

 -- WP-MIRROR <wpmirrordev@gmail.com>  Sat, 07 Jun 2014 06:00:00 -0400

wp-mirror-mediawiki (1.23-1) unstable; urgency=low

  * Initial release (Closes: #1000)  <bug number of the ITP>

 -- WP-MIRROR <wpmirrordev@gmail.com>  Sun, 09 Feb 2014 17:47:25 -0500
