=== debian/control ===
Source: wp-mirror-mediawiki
Section: web
Priority: optional
Maintainer: WP-MIRROR <wpmirrordev@gmail.com>
Build-Depends: cpio, debhelper (>= 9.0.0)
Standards-Version: 3.9.4
Homepage: http://www.mediawiki.org/
#Vcs-Git: git://git.debian.org/collab-maint/wp-mirror-mediawiki.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/wp-mirror-mediawiki.git;a=summary

Package: wp-mirror-mediawiki
Architecture: all
Depends: ${misc:Depends},
 debconf (>= 0.5) | debconf-2.0,
 apache2,
 libjs-jquery, libjs-jquery-cookie, libjs-jquery-form, libjs-jquery-tipsy,
 libjs-jquery-tablesorter,
 mime-support,
 php5, php5-mysql | php5-mysqlnd, php5-xdebug
Recommends: mysql-server, php5-cli, python
Suggests: imagemagick | php5-gd, memcached
Description: website engine for collaborative work
 Wp-mirror-mediawiki is a packaging of the development version of MediaWiki.
 It is used to render wikipedia pages and articles for a local mirror built
 by wp-mirror.
 .
 MediaWiki is a wiki engine (a program for creating a collaboratively edited
 website). It is designed to handle heavy websites containing library-like
 document collections, and supports user uploads of images/sounds, multilingual
 content, TOC autogeneration, ISBN links, etc.
